<?xml version="1.0"?>
<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>

<prefwindow id="myExtensionOptions"
	type="prefwindow"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
	buttons="accept, cancel"
	title="LinkChecker Options">
 
	<prefpane id="myPane">

    <preferences>
      <preference id="validLinkBg" name="extensions.linkchecker.validLinkBg" type="string"/>
      <preference id="invalidLinkBg" name="extensions.linkchecker.invalidLinkBg" type="string"/>
      <preference id="dubiousLinkBg" name="extensions.linkchecker.dubiousLinkBg" type="string"/>
      <preference id="skipLinkBg" name="extensions.linkchecker.skipLinkBg" type="string"/>

      <preference id="bannedList" name="extensions.linkchecker.bannedList" type="string"/>
    </preferences>

	<tabbox>
		<tabs id="lc_these_tabs">
			<tab label="Colors" selected="true"/>
			<tab label="Exclusions"/>
		</tabs>
		
		<tabpanels>
			<tabpanel id="lc_tab_colors" orient="vertical">
				<label value="Link Highlight Colors" style="font-weight: bold;"/>
				
				<grid>
					<columns>
						<column flex="2"/>
						<column/>
						<column/>
					</columns>
				
					<rows>
						<row>
							<label value="Valid"/>
							<textbox id="validLinkText" preference="validLinkBg"/>
							<colorpicker id="validLinkBtn" type="button" preference="validLinkBg"/>
						</row>
						
						<row>
							<label value="Invalid"/>
							<textbox id="invalidLinkText" preference="invalidLinkBg"/>
							<colorpicker id="invalidLinkBtn" type="button" preference="invalidLinkBg"/>
						</row>
						
						<row>
							<label value="Misc"/>
							<textbox id="dubiousLinkText" preference="dubiousLinkBg"/>
							<colorpicker id="dubiousLinkBtn" type="button" preference="dubiousLinkBg"/>
						</row>
						
						<row>
							<label value="Skipped"/>
							<textbox id="skipLinkText" preference="skipLinkBg"/>
							<colorpicker id="skipLinkBtn" type="button" preference="skipLinkBg"/>
						</row>
					</rows>
				</grid>
			</tabpanel>

			<tabpanel id="lc_tab_exclude" orient="vertical">
				<label value="Banned Keywords" style="font-weight: bold;"/>
				<description style="width: 250px; font-size: 10px; padding-left: 5px;">
					Create a list of keywords for LinkChecker to skip (e.g. 'logout,signout,exit'). Use commas and no spaces between each keyword.
				</description>

				<textbox id="bannedListText" preference="bannedList" multiline="true"/>
			</tabpanel>
		</tabpanels>
	</tabbox>

	</prefpane>

</prefwindow>